MyBB Community Forums
Plugin Changes coming in 1.6.5 - Printable Version

+- MyBB Community Forums (https://community.mybb.com)
+-- Forum: Community Archive (https://community.mybb.com/forum-106.html)
+--- Forum: Archived Forums (https://community.mybb.com/forum-143.html)
+---- Forum: Archived Development and Support (https://community.mybb.com/forum-155.html)
+----- Forum: MyBB 1.6 (https://community.mybb.com/forum-138.html)
+------ Forum: 1.6 General Support (https://community.mybb.com/forum-127.html)
+------ Thread: Plugin Changes coming in 1.6.5 (/thread-106729.html)

Pages: 1 2 3 4 5 6 7


RE: Plugin Changes coming in 1.6.5 - Dylan M. - 2011-11-01

(2011-11-01, 08:00 PM)qwertyx Wrote:
(2011-11-01, 07:48 PM)Malcolm. Wrote:
(2011-11-01, 07:43 PM)qwertyx Wrote: Unfortunately, most of plugins no longer supported by their authors, eg: ChangUonDyU - Extra File Chatbox, Profile Comments....

Combine the examples from my posts and pavemen's script, and you've got everything you need to update them yourself. It doesn't take an expert programmer to copy and paste some variables.


Look for this, it is good?
before
Quote:function profilecomments_edit_group_do()
{
global $updated_group, $mybb;

$updated_group['canmanagecomments'] = $mybb->input['canmanagecomments'];
$updated_group['cansendcomments'] = $mybb->input['cansendcomments'];
$updated_group['caneditselfcomments'] = $mybb->input['caneditselfcomments'];
$updated_group['candeleteselfcomments'] = $mybb->input['candeleteselfcomments'];
}

after
Quote:function profilecomments_edit_group_do(&)
{
global $updated_group, $mybb;

$updated_group['canmanagecomments'] = $mybb->input['canmanagecomments'];
$updated_group['cansendcomments'] = $mybb->input['cansendcomments'];
$updated_group['caneditselfcomments'] = $mybb->input['caneditselfcomments'];
$updated_group['candeleteselfcomments'] = $mybb->input['candeleteselfcomments'];
}

It's ok?

No, it isn't. You're not using a variable there, so you don't need to change anything. Please follow the instructions in the first post to find out what hooks need updated.


RE: Plugin Changes coming in 1.6.5 - Dylan M. - 2011-11-01

Since people can't see to follow simple instructions in the first post and are overwhelming what is supposed to be an informational thread only with support requests, I've closed it to maintain the informational level. It seems to me that every question has been answered, in some cases multiple times due to the laziness of people who can't be bothered to read the thread. The information is here. Read it.


RE: Plugin Changes coming in 1.6.5 - Dylan M. - 2011-11-02

I've updated the original post with this information as well... I'll update the wiki momentarily.

Due to a plugin that was already receiving by reference Stefan discovered you can use the receive by reference method (shown above in the case of the 2nd section) for either of the plugin type changes. It was not intended functionality, but does make authoring plugins much simpler.